package com.bocloud.nms.model.campus;

import java.util.List;

/**
 * @description: IP地址段
 * @author: Li Yaohui
 * @since: 2021/2/25 4:37 下午
 */
public class AssignedIpScopeModel {

    private Long ipScopeId; // id
    private String ip; // IP地址段
    private String startIp; // 起始IP地址
    private String endIp; // 结束IP地址
    private String name; // 所有者
    private String description; // 描述
    private Long parentId; // 父IP地址段 ID
    private Double percent; // 已分配IP地址所占IP地址段的百分比数
    private Long rightIpId; // 子IP地址段所继承权限的父IP地址段ID
    private List<Long> operatorGroupIds; // 操作员分组ID
    private List<AssignedIpScopeModel> children; // 子IP地址段

    public void setIpScopeId(Long ipScopeId) {
        this.ipScopeId = ipScopeId;
    }

    public Long getIpScopeId() {
        return ipScopeId;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getIp() {
        return ip;
    }

    public void setStartIp(String startIp) {
        this.startIp = startIp;
    }

    public String getStartIp() {
        return startIp;
    }

    public void setEndIp(String endIp) {
        this.endIp = endIp;
    }

    public String getEndIp() {
        return endIp;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public Double getPercent() {
        return percent;
    }

    public void setRightIpId(Long rightIpId) {
        this.rightIpId = rightIpId;
    }

    public Long getRightIpId() {
        return rightIpId;
    }

    public void setOperatorGroupIds(List<Long> operatorGroupIds) {
        this.operatorGroupIds = operatorGroupIds;
    }

    public List<Long> getOperatorGroupIds() {
        return operatorGroupIds;
    }

    public void setChildren(List<AssignedIpScopeModel> children) {
        this.children = children;
    }

    public List<AssignedIpScopeModel> getChildren() {
        return children;
    }
}
